Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## it.csi.mddtools.typedef
Enum CSIExceptionTypes

    java.lang.Object
      java.lang.Enum<CSIExceptionTypes>
          it.csi.mddtools.typedef.CSIExceptionTypes

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<CSIExceptionTypes>, org.eclipse.emf.common.util.Enumerator

    public enum CSIExceptionTypes

extends java.lang.Enum<CSIExceptionTypes>
implements org.eclipse.emf.common.util.Enumerator

A representation of the literals of the enumeration 'CSI Exception Types', and utility methods for working with them. Tipi di eccezione previsti dall'infrastruttura di cooperazione CSI

See Also:
  `TypedefPackage.getCSIExceptionTypes()`

Enum Constant Summary
`SYSTEM` The 'SYSTEM' literal object
`UNRECOVERABLE` The 'UNRECOVERABLE' literal object
`USER` The 'USER' literal object

Field Summary
`static int` | `SYSTEM_VALUE` The 'SYSTEM' literal value
`static int` | `UNRECOVERABLE_VALUE` The 'UNRECOVERABLE' literal value
`static int` | `USER_VALUE` The 'USER' literal value
`static java.util.List<CSIExceptionTypes>` | `VALUES` A public read-only list of all the 'CSI Exception Types' enumerators

Method Summary
`static CSIExceptionTypes` | `get(int value)` Returns the 'CSI Exception Types' literal with the specified integer value
`static CSIExceptionTypes` | `get(java.lang.String literal)` Returns the 'CSI Exception Types' literal with the specified literal value
`static CSIExceptionTypes` | `getByName(java.lang.String name)` Returns the 'CSI Exception Types' literal with the specified name
`java.lang.String` | `getLiteral()`
`java.lang.String` | `getName()`
`int` | `getValue()`
`java.lang.String` | `toString()` Returns the literal value of the enumerator, which is its string representation
`static CSIExceptionTypes` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static CSIExceptionTypes[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### USER

    public static final CSIExceptionTypes USER

  The 'USER' literal object.

  See Also:
    `USER_VALUE`

### SYSTEM

    public static final CSIExceptionTypes SYSTEM

  The 'SYSTEM' literal object.

  See Also:
    `SYSTEM_VALUE`

### UNRECOVERABLE

    public static final CSIExceptionTypes UNRECOVERABLE

  The 'UNRECOVERABLE' literal object.

  See Also:
    `UNRECOVERABLE_VALUE`

Field Detail

### USER_VALUE

    public static final int USER_VALUE

  The 'USER' literal value.

  If the meaning of 'USER' literal object isn't clear, there really should be more of a description here...

  L'eccezione di questo tipo sono definite come sottoclassi di UserException

  See Also:
    `USER`, Constant Field Values

### SYSTEM_VALUE

    public static final int SYSTEM_VALUE

  The 'SYSTEM' literal value.

  If the meaning of 'SYSTEM' literal object isn't clear, there really should be more of a description here...

  L'eccezione di questo tipo sono definite come sottoclassi di SystemException

  See Also:
    `SYSTEM`, Constant Field Values

### UNRECOVERABLE_VALUE

    public static final int UNRECOVERABLE_VALUE

  The 'UNRECOVERABLE' literal value.

  If the meaning of 'UNRECOVERABLE' literal object isn't clear, there really should be more of a description here...

  L'eccezione di questo tipo sono definite come sottoclassi di UnrecoverableException

  See Also:
    `UNRECOVERABLE`, Constant Field Values

### VALUES

    public static final java.util.List<CSIExceptionTypes> VALUES

  A public read-only list of all the 'CSI Exception Types' enumerators.

Method Detail

### values

    public static final CSIExceptionTypes[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(CSIExceptionTypes c : CSIExceptionTypes.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static CSIExceptionTypes valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### get

    public static CSIExceptionTypes get(java.lang.String literal)

  Returns the 'CSI Exception Types' literal with the specified literal value.

### getByName

    public static CSIExceptionTypes getByName(java.lang.String name)

  Returns the 'CSI Exception Types' literal with the specified name.

### get

    public static CSIExceptionTypes get(int value)

  Returns the 'CSI Exception Types' literal with the specified integer value.

### getValue

    public int getValue()

  Specified by:
    `getValue` in interface `org.eclipse.emf.common.util.Enumerator`

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `org.eclipse.emf.common.util.Enumerator`

### getLiteral

    public java.lang.String getLiteral()

  Specified by:
    `getLiteral` in interface `org.eclipse.emf.common.util.Enumerator`

### toString

    public java.lang.String toString()

  Returns the literal value of the enumerator, which is its string representation.

  Overrides:
    `toString` in class `java.lang.Enum<CSIExceptionTypes>`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD